@keyframes grow{
	100%{
		height: 200px;
		width: 200px;
		margin-left: -100px;
		margin-top: -100px;
	}
}
@keyframes rotate{
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
}
@keyframes rotateAlt{
	0% {
		transform: rotate(0deg);
	}
	50% {
		transform: rotate(90deg);
	}
	100% {
		transform: rotate(0deg);
	}
}
@keyframes fade{
	100% { opacity: 0; }
}
@keyframes fadein{
	0% { opacity: 0; }
}
@keyframes softFade{
	0% { opacity: 1.0; }
	100% { opacity: 0.3; }
}
@keyframes dropout{
	100% { transform: translateY(50px); }	
}
@keyframes dropin{
	0% { transform: translateY(-50px); }	
	100% { transform: translateY(0px); }	
}
@keyframes timebar{
	0% { width: 100%; }
	100% { width: 0%; }	
}
@keyframes flash{
	100% { background-color: #fff; }	
}
@keyframes flashRed{
	100% { background-color: #f00; }	
}
@keyframes pulse{
	0% { transform: rotate(0deg) scale(1); }
	50% { transform: rotate(90deg) scale(0.75); }
	100% { transform: rotate(0deg) scale(1); }	
}
a, a:hover, a:link, a:visited {
	text-decoration: inherit;
	color: inherit;
}
html{
	min-height: 100%;
}
body{
	min-height: 100%;
	padding: 0px;
	margin: 0px;
	background: radial-gradient(rgba(0,0,0,0), #000);
	background-color: hsl(200,100%,10%);
	font-family: Raleway, Arial, Helvetica, sans-serif;
	overflow: hidden;
	color: #0ff;
}
::-moz-selection{
	background: none;	
}
#main{
	width: 500px;
	height: 500px;
	position:absolute;
	top: 100px;
	left: 50%;
	margin-left: -250px;
	text-align: center;
}
#bokehs{
	position: absolute;
	top: 50px;
	left: 50px;
	width: 400px;
	height: 400px;
}
.bokeh{
	position: absolute;
	height: 30px;
	width: 30px;
	margin-top: -15px;
	margin-left: -15px;
}
#generate{
	position: absolute;
	top: 0px;
	left: 0px;	
}
#bokehs_intro{
	height: 200px;
	width: 300px;
}
#bokeh_intro h1{
	font-size: 60px;
	font-weight: 100;
	margin-top: 0px;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 10px;
}
#level{
	float: left;
	text-align: left;
}
#lives{
	float: right;
	width: 110px;
	text-align: left;
	padding: 0px;
}
#lives ul{
	display: inline-block;
	width: 55px;
	height: 15px;
	margin: 0px;	
	padding: 0px;
}
#lives ul li{
	height: 10px;
	width: 10px;
	margin-left: 1px;
	display: inline-block;
}
#time{
	height: 10px;
	width: 100%;
	position: absolute;
	bottom: 0px;
}
#timebar{
	height: 10px;
}
.message{
	position: absolute;
	top: 150px;
	left: 100px;
	width: 300px;
	height: 100px;
	text-align: center;
}
button{
	background-color: #0ff;	
	display: block;
	color: #000;
	border: 0px;
	border-radius: 0px;
	margin-top: 30px;
	margin-left: auto;
	margin-right: auto;
	padding: 5px 10px 5px 10px;
	font-size: 14px;
	animation: none;
	transition: all 0.5s ease;
}
button:hover{
	transition: all 0.5s ease;
	animation: 0.3s alternate infinite softFade;	
}